<template>
  <div class="my-2">
    <div>
      <v-card>
        <v-card-title>{{ $t("profile.BasicInformation") }}</v-card-title>
        <v-card-text>
          <v-row>
            <v-col cols="12" md="8">
              <v-row class="profile">
                <v-col cols="3">
                  {{ $t("profile.name") }}
                </v-col>
                <v-col cols="9">
                  {{ realUser.name }}
                </v-col>
                <v-col cols="3">
                  {{ $t("profile.phone") }}
                </v-col>
                <v-col cols="9">
                  {{ realUser.phoneNumber }}
                </v-col>
                <v-col cols="3">
                  {{ $t("profile.email") }}
                </v-col>
                <v-col cols="9">
                  {{ realUser.email }}
                </v-col>
              </v-row>
            </v-col>
          </v-row>
        </v-card-text>
      </v-card>

      <v-expansion-panels v-model="panel" multiple class="mt-3">
      <v-expansion-panel>
          <v-expansion-panel-header class="title">{{
            $t("profile.accountActivationManage")
          }}</v-expansion-panel-header>
          <v-expansion-panel-content>
             <v-switch
            v-if="realUser.isActive === false"
            inset
            color="#bf87a0"
            v-model="realUser.isActive"
            @change="unblockUser(realUser.id)"
          ></v-switch>

          <v-switch
            v-if="realUser.isActive === true"
            inset
            color="#bf87a0"
            v-model="realUser.isActive"
            @change="blockUser(realUser.id)"
          ></v-switch>
          </v-expansion-panel-content>
        </v-expansion-panel>
        <v-expansion-panel>
          <v-expansion-panel-header class="title">{{
            $t("common.edit")
          }}</v-expansion-panel-header>
          <v-expansion-panel-content>
            <div class="my-5 content">
              <v-row class="my-1 mx-4 white">
                <v-col cols="12" class="white--text mygrad h mb-2">
                  <h2>{{ $t("users.updateEmployee") }}</h2>
                </v-col>
                <v-col cols="12" md="6">
                  <v-text-field
                    outlined
                    v-model="name"
                    hint="Accept only Character"
                    :label="$t('users.name')"
                  ></v-text-field>
                </v-col>

                <v-col cols="12" md="6">
                  <v-text-field
                    outlined
                    v-model="phone"
                    :label="$t('users.phoneNumber')"
                  ></v-text-field>
                </v-col>
                <v-col cols="12" md="6">
                  <v-text-field
                    outlined
                    v-model="email"
                    :label="$t('users.email')"
                    :rules="emailRules"
                  ></v-text-field>
                </v-col>

                <v-col cols="12" md="6">
                  <v-text-field
                    outlined
                    v-model="password"
                    :label="$t('login.password')"
                  ></v-text-field>
                </v-col>

                <v-col cols="12">
                  <div class="d-flex justify-center py-2">
                    <v-btn
                      dark
                      large
                      width="150"
                      class="mygrad mx-2"
                      @click="update_Moderator()"
                      :disabled="!name || !password"
                    >
                      {{ $t("common.edit") }}
                    </v-btn>
                  </div>
                </v-col>
              </v-row>
            </div>
          </v-expansion-panel-content>
        </v-expansion-panel>

      </v-expansion-panels>
    </div>

    <!-- disable modal -->
  </div>
</template>

<script>
import { mapActions } from "vuex";
export default {
  props: {
    user: {
      type: Object,
      default: () => ({}),
    },
    realUser: {
      type: Object,
      default: () => ({}),
    },
  },
  data() {
    return {
      name: "",
      password: "",
      email: "",
      phone: "",

      NameRules: [(v) => (v && v.length >= 4) || this.$i18n.t("NameERROR")],
      PasswordRules: [
        (v) =>
          (v && v.length >= 8 && /[A-Z]/.test(v)) ||
          this.$i18n.t("passwordERROR"),
      ],
      emailRules: [
        (v) => !!v || "E-mail is required",
        (v) => /.+@.+\..+/.test(v) || "E-mail must be valid",
      ],
      panel: [1],
      deleteDialog: false,
      disableDialog: false,
      PermissionsList: [
        {
          name: this.$i18n.t("PermissionsList.CreateManager"),
          value: "CreateManager",
        },
        {
          name: this.$i18n.t("PermissionsList.UpdateManager"),
          value: "UpdateManager",
        },
        {
          name: this.$i18n.t("PermissionsList.DisableEnableManager"),
          value: "DisableEnableManager",
        },
      ],
    };
  },
  methods: {
    ...mapActions("Moderators", ["changeModeratorStatus", "ubdateModerator"]),
    blockUser() {
      this.changeModeratorStatus({
        UserId: this.$route.params.singleemploye_id,
        IsActive: false,
      });
    },
    unblockUser() {
      this.changeModeratorStatus({
        UserId: this.$route.params.singleemploye_id,
        IsActive: true,
      });
    },

    update_Moderator() {
      this.ubdateModerator({
        UserId: this.$route.params.singleemploye_id,
        name: this.name,
        password: this.password,
        email: this.email,
        phone: this.phone,
      });
    },
  },
  mounted() {
    setTimeout(() => {
      this.name = this.realUser.name;
      this.email = this.realUser.email;
      this.phone = this.realUser.phoneNumber;
    }, 1000);
  },
};
</script>
<style lang="scss">
.h {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 10px 10px 0 0;
}
</style>
